/assign @crystalpoole
/label ~"group::container registry" ~"devops::package" ~"section::ci" ~"type::ignore" ~"OpsSection::Weekly-Update"

<!-- REPLACE-WITH-QUICK-ACTIONS:CREATE -->

<!-- REPLACE-WITH-NAVIGATION-START:UPDATE -->
  <!-- REPLACE-WITH-NAVIGATION-START:CREATE -->
  <!-- REPLACE-WITH-NAVIGATION-END:CREATE -->
<!-- REPLACE-WITH-NAVIGATION-END:UPDATE -->

## Current team focus

_Summarize what the team is currently focused on. Keep it as short as possible while conveying key information._

Milestone plan: [- add link to milestone planning issue -]

## Highlights

- <!-- REPLACE-WITH-HIGHLIGHTS:UPDATE -->

<!-- REPLACE-WITH-THREAD-START:CREATE -->

#### Add team highlights to this thread throughout the week

- Team Accomplishments? Decisions?
- Team blockers? Problems? Escalations, risks, concerns
- What the team is focused on (summary, not lists of issues)
- Key metrics and trends
- Team morale? Growth?
- Hiring?
- Unplanned interruptions?
- Feature usage?

_Start with the HIGHLIGHT keyword for particularly noteworthy items like accomplishments/decisions. Highlights are where Sam pulls summaries of group accomplishments from for group conversations slides, sharing with senior leaders, etc._

<!-- REPLACE-WITH-THREAD-END:CREATE -->

## Stats

#### Going into the week

<!-- REPLACE-WITH-CAPACITY:CREATE -->
<!-- REPLACE-WITH-ERROR-BUDGET:CREATE -->
<!-- REPLACE-WITH-ROLLOVER:CREATE -->
<!-- REPLACE-WITH-ISSUE-DISTRIBUTION:CREATE -->

#### End of week progress snapshot

<!-- REPLACE-WITH-PROGRESS-SUMMARY:UPDATE -->
<details><summary>More info...</summary>

<!-- REPLACE-WITH-PROGRESS-DETAIL:UPDATE -->

</details>
<!-- REPLACE-WITH-TEAM-ACTIVITY:UPDATE -->

### Relevant links

<!-- REPLACE-WITH-TEAM-LINKS:CREATE -->

---

_This update was generated by the [weekly_update](https://gitlab.com/gitlab-org/monitor/respond/-/tree/master/weekly_update) script in [gitlab-org/monitor/respond](https://gitlab.com/gitlab-org/monitor/respond). Highlights are manually curated._

<details><summary><em>How does it work?</em></summary>

#### Where does the content come from?

Highlights are added manually; everything else is pulled from GitLab, Google, Grafana, etc.

#### How does it get there?

1. Every Friday, a scheduled pipeline creates the issue for the next week, and it updates the issue for the current week.
1. When a new issue is created, only a few details are included in the description about what might be expected for the week. A comment thread is added where highlights can be collected to be autofilled into the description later in the week.
1. When the issue is updated, the highlights thread will be collected as a list and added to the issue description. An detailed overview of progress on the milestone will also be included.

#### How do I make changes?

##### To this specific issue

This specific issue: Add content directly to the issue description, or you can add highlights by commenting on the highlights thread.

##### Format

Static content: Update [weekly-update.md](https://gitlab.com/gitlab-org/monitor/respond/-/blob/master/.gitlab/issue_templates/weekly-update.md). Add any static content to the file to include it in the issue description when the issue is created.

Dynamic content: Rearrange the `REPLACE-ME` placeholder HTML comments. Placeholder comments can be either singleline or multiline. The placeholders are replaced by script-aggregated content.

- Required attributes:
  - `section`: all-caps name given to a chunk of markdown generated by the [weekly_update](https://gitlab.com/gitlab-org/monitor/respond/-/tree/master/weekly_update) script.
    - `NAVIGATION` -> Link to previous/next update issue
    - `CAPACITY` -> PTO breakdown for Monitor:Respond team for the week
    - `ERROR-BUDGET` -> Current state of respond error budget
    - `ISSUE-DISTRIBUTION` -> Breakdown of team's focus by type label & epic
    - `PROGRESS-SUMMARY` -> Estimated % completion of scheduled issues by epic
    - `PROGRESS-DETAIL` -> Estimated % completion of each individual scheduled issue
    - `TEAM-ACTIVITY` -> Aggregated contributions for each team member over the last week
    - `ROLLOVER` -> Issues assigned to team members in expired milestones
    - `TEAM-LINKS` -> Link to planning issue & other team-specifics that change week to week
    - `QUICK-ACTIONS` -> Assigns milestone & other team-specifics that change week to week
    - `HIGHLIGHTS` -> List of comments from highlight thread (oldest thread to include the word "highlight" in the first comment)
  - `action`: determines when the comment will be replaced in the issue description.
    - `CREATE` - replaced when the issue is created
    - `UPDATE` - replaced at the end of the week
- Singleline format:
  - `<!-- REPLACE-WITH-<section>:<action> -->`
- Multiline format:
  - ```html
    <!-- REPLACE-WITH-<section>-START:<action> -->
    Anything here will also be replaced when the script runs.
    <!-- REPLACE-WITH-<section>-END:<action> -->
    ```

Adding threads: Add a multiline placeholder with `section` of `THREAD`. Content inside the block will be added as a thread on the issue, and it can include other placeholders.

##### Content

Run the [`Generate detailed weekly update issue`](https://gitlab.com/gitlab-org/ci-cd/package-stage/container-registry-group/async-updates/-/pipeline_schedules) to trigger an update. Once an update has run, the pipeline can be run many
times without consequence to the existing issue. Refer to `Format > Dynamic content` for the syntax needed
to regenerate sections of the issue.

To modify how the content itself is generated, refer to [`weekly_update/README.md`](https://gitlab.com/gitlab-org/monitor/respond/-/blob/master/weekly_update/README.md).

</details>
